ValueInjector
Date: 2016-12-04

com.fasterxml.jackson.databind.deser.impl

## Class ValueInjector

- java.lang.Object
- - com.fasterxml.jackson.databind.BeanProperty.Std
  - - com.fasterxml.jackson.databind.deser.impl.ValueInjector

- All Implemented Interfaces:
    BeanProperty, Named

      public class ValueInjector
      extends BeanProperty.Std

  Class that encapsulates details of value injection that occurs before deserialization of a POJO. Details include information needed to find injectable value (logical id) as well as method used for assigning value (setter or field)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `BeanProperty.Std`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Object` | `_valueId` Identifier used for looking up value to inject

    - ### Fields inherited from class com.fasterxml.jackson.databind.BeanProperty.Std

      `_contextAnnotations, _member, _metadata, _name, _type, _wrapperName`

    - ### Fields inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `EMPTY_FORMAT, EMPTY_INCLUDE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueInjector(PropertyName propName, JavaType type, Annotations contextAnnotations, AnnotatedMember mutator, java.lang.Object valueId)`
    `ValueInjector(java.lang.String propName, JavaType type, Annotations contextAnnotations, AnnotatedMember mutator, java.lang.Object valueId)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `findValue(DeserializationContext context, java.lang.Object beanInstance)`
    `void` | `inject(DeserializationContext context, java.lang.Object beanInstance)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.BeanProperty.Std

      `depositSchemaProperty, findFormatOverrides, findPropertyFormat, findPropertyInclusion, getAnnotation, getContextAnnotation, getFullName, getMember, getMetadata, getName, getType, getWrapperName, isRequired, isVirtual, withType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _valueId

          protected final java.lang.Object _valueId

      Identifier used for looking up value to inject

  - ### Constructor Detail

    - #### ValueInjector

          public ValueInjector(PropertyName propName,
                       JavaType type,
                       Annotations contextAnnotations,
                       AnnotatedMember mutator,
                       java.lang.Object valueId)

    - #### ValueInjector

          @Deprecated
          public ValueInjector(java.lang.String propName,
                                  JavaType type,
                                  Annotations contextAnnotations,
                                  AnnotatedMember mutator,
                                  java.lang.Object valueId)

      Deprecated.

  - ### Method Detail

    - #### findValue

          public java.lang.Object findValue(DeserializationContext context,
                                   java.lang.Object beanInstance)

    - #### inject

          public void inject(DeserializationContext context,
                    java.lang.Object beanInstance)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`